# Konfigurationsanpassung für nginx

Sofern du nginx als Webserver für deine Shopinstallation nutzt, kann es notwendig sein, eine Anpassung der nginx Konfiguration vorzunehmen.

Für eine Verbindung zwischen JTL Wawi und der Shopinstallation werden diverse Dateien angefragt, die nur als virtuelle Route aber nicht als Dateien innerhalb der Shopinstallation existieren.&#x20;

Ein einfacher Test, ob die Anpassung notwendig ist, kannst du durch eine Anfrage an die URL https\://\<deineShopUrl>/dbeS/mytest.php überprüfen. Erhältst du hier zum Beispiel ein "0;XTC" zurück und keine 404 Fehlermeldung, so ist keine Anpassung notwendig.

Ansonsten füge bitte folgenden Teil in deine nginx Konfiguration für die jeweilige Webseite ein:

`location /dbeS {`\
&#x20;   `location ~ .php$ {`\
&#x20;       `try_files $uri /index.php$is_args$args;`\
&#x20;       `include fastcgi_params; fastcgi_param SCRIPT_FILENAME document_root$fastcgi_script_name;` \
&#x20;   `}`\
`}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecommerce-integrator.de/jtl-wawi/faq/konfigurationsanpassung-fur-nginx.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
